Bug 735704 - [abrt] (null): SELinux is preventing dbus-daemon from 'write' accesses on the fifo_file /run/systemd/sessions/13.ref.
Summary: [abrt] (null): SELinux is preventing dbus-daemon from 'write' accesses on the...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:3f1f7744e8653ea8545b86ad760...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-05 04:47 UTC by David Melton
Modified: 2011-11-21 16:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-21 16:49:48 UTC


Attachments (Terms of Use)

Description David Melton 2011-09-05 04:47:20 UTC
abrt version: 2.0.5
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         2.6.38.6-26.rc1.fc15.i686
reason:         SELinux is preventing dbus-daemon from 'write' accesses on the fifo_file /run/systemd/sessions/13.ref.
time:           Mon Sep  5 00:47:07 2011

description:
:SELinux is preventing dbus-daemon from 'write' accesses on the fifo_file /run/systemd/sessions/13.ref.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that dbus-daemon should be allowed write access on the 13.ref fifo_file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep dbus-daemon /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:system_dbusd_t:s0-s0:c0.c1023
:Target Context                system_u:object_r:systemd_logind_var_run_t:s0
:Target Objects                /run/systemd/sessions/13.ref [ fifo_file ]
:Source                        dbus-daemon
:Source Path                   dbus-daemon
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-24.fc17
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 2.6.38.6-26.rc1.fc15.i686 #1 SMP Mon
:                              May 9 20:43:14 UTC 2011 i686 i686
:Alert Count                   11
:First Seen                    Sun 04 Sep 2011 02:01:02 PM EDT
:Last Seen                     Mon 05 Sep 2011 12:01:01 AM EDT
:Local ID                      0df067f1-6bd2-448e-b761-c2079a65e501
:
:Raw Audit Messages
:type=AVC msg=audit(1315195261.866:311): avc:  denied  { write } for  pid=822 comm="dbus-daemon" path="/run/systemd/sessions/13.ref" dev=tmpfs ino=186774 scontext=system_u:system_r:system_dbusd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:systemd_logind_var_run_t:s0 tclass=fifo_file
:
:
:Hash: dbus-daemon,system_dbusd_t,systemd_logind_var_run_t,fifo_file,write
:
:audit2allow
:
:#============= system_dbusd_t ==============
:allow system_dbusd_t systemd_logind_var_run_t:fifo_file write;
:
:audit2allow -R
:
:#============= system_dbusd_t ==============
:allow system_dbusd_t systemd_logind_var_run_t:fifo_file write;
:

Comment 1 Daniel Walsh 2011-09-06 15:06:16 UTC
For some reason /run/systemd/sessions/13.ref is mislabeled?

restorecon -R -v /run/systemd

Should fix it although restorecon is currently broken.


Note You need to log in before you can comment on or make changes to this bug.